Bug 122219 - [PATCH]textproc/catdoc: fix Tcl/Tk dependency handling, pkg-descr
Summary: [PATCH]textproc/catdoc: fix Tcl/Tk dependency handling, pkg-descr
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-03-29 03:20 UTC by bf
Modified: 2008-04-11 13:40 UTC (History)
0 users

See Also:


Attachments
file.diff (2.91 KB, patch)
2008-03-29 03:20 UTC, bf
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description bf 2008-03-29 03:20:00 UTC
Make wordview an OPTION, and take advantage of bsd.tcl.mk. (The Tk version can
now be specified by user, and 8.5 can be used.)  Fix pkg-descr to account for
earlier changes in the port website and component programs.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2008-03-29 03:20:05 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Dmitry Marakasov 2008-03-31 13:15:12 UTC
* Edwin Groothuis (edwin@FreeBSD.org) wrote:

> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/122219
Approved, thanks.

-- 
Dmitry A. Marakasov    | jabber: amdmi3@jabber.ru
amdmi3@amdmi3.ru       | http://www.amdmi3.ru
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2008-03-31 16:28:35 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 4 Pav Lucistnik freebsd_committer 2008-04-11 13:34:10 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 5 dfilter service freebsd_committer 2008-04-11 13:37:22 UTC
pav         2008-04-11 12:37:12 UTC

  FreeBSD ports repository

  Modified files:
    textproc/catdoc      Makefile pkg-descr pkg-plist 
  Log:
  - Make Tk viewer optional
  - Use USE_TK
  
  PR:             ports/122219
  Submitted by:   bf <bf2006a@yahoo.com>
  Approved by:    Dmitry Marakasov <amdmi3@amdmi3.ru> (maintainer)
  
  Revision  Changes    Path
  1.26      +13 -6     ports/textproc/catdoc/Makefile
  1.9       +9 -18     ports/textproc/catdoc/pkg-descr
  1.8       +1 -1      ports/textproc/catdoc/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"